=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python-scour
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.7
-Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
+Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/5.2
 Homepage: https://launchpad.net/software-center
 
 Package: software-center
@@ -25,7 +25,7 @@
          app-install-data (>= 0.4.0),
          aptdaemon (>= 0.40),
          software-center-aptdaemon-plugins,
-         humanity-icon-theme|gnome-icon-theme,
+         humanity-icon-theme,
          gir1.2-glib-2.0 (>= 1.31),
          gir1.2-gtk-3.0,
          gir1.2-gmenu-3.0 (>= 3.1.5),
@@ -41,7 +41,7 @@
          policykit-1,
          policykit-1-gnome | policykit-1-kde,
          python-xdg,
-         ubuntu-sso-client (>= 0.99.6),
+         ubuntu-sso-client-gtk,
          python-piston-mini-client (>= 0.1+bzr29),
          oneconf (>= 0.2.6),
          python-debtagshw,
