## software-center 5.2.10

=== debian/changelog ===
software-center (5.2.10) precise; urgency=low

  * debian/patches/local.patch:
    - Cannot install deb files without network connection (lp: #926763)

 -- Ritesh Khadgaray <ritesh@canonical.com>  Fri, 15 Nov 2013 14:26:56 -0800
