## software-center 5.2.10.1

=== debian/changelog ===
software-center (5.2.10.1) precise; urgency=high

  * Updated with LliureX Hack
  * Thanks to @cless

 -- Angel Berlanas Vicente <angel.berlanas@gmail.com>  Thu, 04 Jul 2013 12:02:07 +0200
