## software-center 5.4.1.2

=== debian/changelog ===
software-center (5.4.1.2) quantal-proposed; urgency=low

  * data/ui/gtk3/css/softwarecenter.css:
    - drop "text-shadow" from the CSS as its causing a memory
      leak (LP: #1058523)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Oct 2012 18:07:08 +0200

software-center (5.4.1.1) quantal-proposed; urgency=low

  * lp:~mvo/software-center/reinstall-previous-purchase-token-fix:
    - fix reinstall previous purchases that have a system-wide
      license key LP: #1065481
  * lp:~mvo/software-center/lp1060106:
    - Add missing gettext init for utils/update-software-center-agent
      (LP: #1060106)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 11 Oct 2012 15:33:05 +0200

software-center (5.4.1) quantal; urgency=low

  * lp:~mvo/software-center/lp1043752:
    - Fix crash when using a unicode path to open deb file (LP: #1043752)
  * lp:~mvo/software-center/lp1063595:
    - add missing "trans" initializations (LP: #1063595)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 09 Oct 2012 09:12:43 +0200

software-center (5.4) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/lp1044141:
    - fix unicode error crash on a transaction error
      (LP: #1044141)
  * lp:~mvo/software-center/fix-size-calc-race:
    - fix crash due to a race in the size calculation code
      in the details view (LP: #1041004)
  * lp:~mvo/software-center/fix-crash-1048886:
    - No longer call GLib.init_threads() as this will cause
      LP: #1048886 later. Many thanks to Albert Astals Cid
  * lp:~mvo/software-center/dbus-idle-timeout:
    - stop the dbus data provider after 5min of inactivity 
      (LP: #1058567)
  * lp:~mvo/software-center/lp1051829:
    - Do not report deb packages with lintian errors via the
      recoverable errors mechanism. This removes 97 out of 104
      instances of my sample of the recoverable error report
      for LP: #1051829. Other types of failures will still be
      reported as recoverable failures though (as we do want
      to know about them).
  
  [ Gary Lakser ]
  * lp:~gary-lasker/software-center/lp1041004:
    - ensure that app_details is valid before using it (LP: #1041004)
  * lp:~gary-lasker/software-center/fix-crash-lp1021308:
    - send synthetic "style-updated" signals to ensure that the signal
      handlers are called on themes that do not send this signal (like
      oxygen-gtk3). This fixes a crash and broken drawing LP: #1021308
  
  [ Nicolas Delvaux ]
  * lp:~malizor/software-center/fix-lp1050036:
    - fix crash in get_label() (LP: #1050036) and drop the i18n for the
      yes/no symbols that were not translated in any language (as a result
      test_regression_lp1047281.py can also be dropped)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Oct 2012 10:58:20 +0200

software-center (5.3.14.3) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/downloader-fix-race839462-again:
    - fix a race condition in the SimpleFileDownloader when the file
      is downloaded but the signal did not get delivered yet by the
      gtk event loop (LP: #1055441)
  * lp:~mvo/software-center/thumbnail-test-fixes:
    - fix the get_test_screenshot_thumbnail_window() function and
      ensure that its properly used in the automatic test
  * lp:~mvo/software-center/support-multiple-exhibit-images:
    - add support for multiple images in the exhibit banners
      (LP: #920542)
  * lp:~mvo/software-center/robustness-lp1054070:
    - extends the recovery mechanism for corrupted berkeley
      DB files to MemoryErrors as well to catch LP: #1054070
  * lp:~mvo/software-center/whats-new-lp1044033:
    - ensure that there is a fallback xapian value that can be
      used if the apt-xapian-index has not been created
      (LP: #1044033)
  * lp:~mvo/software-center/exact-match-duplication-lp891613:
    - fix the duplication of packages during a search if there
      is an exact pkgname match in the apt-xapian-index and
      also in the software-center-agent (LP: #891613)
  * lp:~mvo/software-center/lp1047494:
    - fix AttributeError crash in _on_reviews_ready_callback()
      (LP: #1047494)
  * lp:~mvo/software-center/de-duplication-multiple-pkgnames-lp1043159:
    - fix duplication for multiple package lists (LP: #1043159)

  [ Stéphane Graber ]
  * lp:~stgraber/software-center/fix-weblive-isinstance:
    - sync weblive_pristine.py to the latest upstream version,
      this includes porting to be pep8 and python 3 ready and
      restores correct weblive operation
  
  [ Gary Lasker ]
  * lp:~gary-lasker/software-center/de-duplication-multiple-pkgnames-lp1043159-tweak
    - pass DB to the recommendations categories

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Oct 2012 10:02:51 +0200

software-center (5.3.14.2) quantal; urgency=low

  * lp:~mvo/software-center/path-cleansweep:
    - cleanup branch to eliminate the passing
      around of datadir/desktopdir or xapian dir
  * lp:~mvo/software-center/lobby-visual-mvo-workaround-lp1048912:
    - workaround for visual corruption that is occuring
      on startup when recommendations are enabled
      (LP: #1048912)
  * lp:~mvo/software-center/fix-dataprovider-dbus-tests:
    - isolate the dbus test for the dataprovider from the
      session bus
  * lp:~mvo/software-center/py3-compat-for-license-keyhelper:
    - move the get_install_backend() import out of
      softwarecenter/backend/__init__.py and update the
      rest of the tree to follow that

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 20 Sep 2012 08:39:51 +0200

software-center (5.3.14.1) quantal; urgency=low

  * fix missing softwarecenter.backend.login_impl

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Sep 2012 17:32:23 +0200

software-center (5.3.14) quantal; urgency=low

  [ Michael Vogt ]
  * lp:~mvo/software-center/trivial-renaming,
    lp:~mvo/software-center/trivial-rename2:
    - drop the Gtk suffix from two more classes and rename
      catview_gtk.py to catview and split out lobbyview

