=== debian/control ===
--- 
+++ 
@@ -14,8 +14,9 @@
                python-scour
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.7
-Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/5.2
+Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
 Homepage: https://launchpad.net/software-center
+XS-Testsuite: autopkgtest
 
 Package: software-center
 Architecture: all
@@ -38,21 +39,21 @@
          python-aptdaemon.gtk3widgets,
          python-dbus,
          python-defer,
+         python-lxml,
          policykit-1,
          policykit-1-gnome | policykit-1-kde,
          python-xdg,
-         ubuntu-sso-client-gtk,
+         ubuntu-sso-client,
          python-piston-mini-client (>= 0.1+bzr29),
          oneconf (>= 0.2.6),
          python-debtagshw,
          ubuntu-extras-keyring
 Recommends: lsb-release, 
-            gir1.2-launchpad-integration-3.0, 
             apt-xapian-index (>= 0.38ubuntu1), 
             update-notifier, 
             software-properties-gtk,
             sessioninstaller, 
-            xz-lzma
+            xz-utils (>= 5.1.1alpha+20120614-1)
 Conflicts: gnome-app-install (<< 1), oneconf (<< 0.2.6.1)
 Replaces: gnome-app-install
 Provides: gnome-app-install
