## software-center 5.4.1.4

=== debian/changelog ===
software-center (5.4.1.4) quantal-proposed; urgency=low

  [ Brian Murray ]
  * software-center/paths.py:
    - modify the OEM_CHANNEL_DESCRIPTOR path (LP: #1095823)

 -- Brian Murray <brian@ubuntu.com>  Fri, 25 Jan 2013 07:44:14 -0800

software-center (5.4.1.3) quantal-proposed; urgency=low

  * lp:~mvo/software-center/fix-for-unusual-deb-lp1067634:
    - fix crash in deb packages without a description (LP: #1067634)
  * lp:~mvo/software-center/lp1009967:
    - fix the "top rated" display to match the spec by also showing
      the already installed items  (LP: #1009967)
  * lp:~mvo/software-center/recoverable-errors-lp1051829:
    - send a custom duplicate signature so that the recoverable errors
      on transaction failures are broken down by error_code instead
      of all put into the same bucket (LP: #1051829)
  * lp:~mvo/software-center/5.4-fix-threading
    - Properly init threads now that the pygobject crash is fixed.
      This will fix the slow and unreliable submit of reviews
      (LP: #1083694)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Nov 2012 09:31:41 +0100
