=== debian/control ===
--- 
+++ 
@@ -31,7 +31,7 @@
          gir1.2-gtk-3.0,
          gir1.2-gmenu-3.0 (>= 3.1.5),
          gir1.2-webkit-3.0,
-         python-gi,
+         python-gi (>= 3.4.0-1ubuntu0.1),
          python-gi-cairo,
          python-xapian,
          python-apt (>= 0.8.3ubuntu4),
