## software-center 5.5.4

=== debian/changelog ===
software-center (5.5.4) raring; urgency=low

  [ Barry Warsaw ]
  * lp:~barry/software-center/lp1100408:
    - debian/control: Update Depends for new oneconf packaging.

  [ Brian Murray ]
  * software-center/paths.py:
    - modify the OEM_CHANNEL_DESCRIPTOR path (LP: #1095823)

 -- Brian Murray <brian@ubuntu.com>  Thu, 24 Jan 2013 16:11:07 -0800

software-center (5.5.3) raring; urgency=low

  * lp:~mvo/software-center/pep8-e125:
    - more pep8 fixes with the rarning pep8 release (issue E125)
  * lp:~mvo/software-center/support-size-from-agent:
    - Support showing the download size if the software-center-agent 
      provides it
  * lp:~mvo/software-center/fix-removal-warning-metapackages:
    - Fixes a missing warning when a metapackage like "ubuntu-desktop"
      is marked for removal directly
  * lp:~mvo/software-center/webapps-activation:
    - add support to activate webapps automatically on install

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Dec 2012 09:30:13 +0100

software-center (5.5.2.2) raring; urgency=low

  * tests/test_testutils.py, tests/utils.py,
    softwarecenter/backend/installbackend_impl/aptd.py:
    - make start_stop_dummy_backend more robust and improve associated
      test (fixes remaining ADT i386 failure)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Dec 2012 09:38:23 +0100

software-center (5.5.2.1) raring; urgency=low

  * lp:~mvo/software-center/lp1081691:
    - add set X-Unity-IconBackgroundColor=#ffbf87 (LP: #1081691)
  * lp:~mvo/software-center/add-missing-dependency-lp888401:
    - add missing dependency on gvfs-backends to get working 
      screenshots support (LP: #888401) on systems like kubuntu
  * fix tests in the ADT environment, works fully now in my VM

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Dec 2012 21:05:58 +0100

software-center (5.5.2) raring; urgency=low

  * lp:~mvo/software-center/fix-pygobject-deprecation-warnings:
    - fix deprecation warninings with the latest python-gi
  * lp:~mvo/software-center/minor-logging-fixes:
    - drop some LOG.info() messages to LOG.debug() to spam the user
      less
  * lp:~mvo/software-center/trivial-close-ui-tweak:
    - hide the main window immediately when closing down
  * lp:~mvo/software-center/5.4-fix-save-person-to-config:
    - This branch ensures that the "username" is saved everytime
      that the ubuntu sso whoami call is done
  * lp:~mvo/software-center/use-dpkg-builddeps:
    - use dpkg-checkbuilddeps to find test-dependencies
  * lp:~mvo/software-center/update-sc-cmdline-flexibility:
    - update-software-center-agent: 
      + add --target-db-path commandline
    - update-software-center: 
      + add --app-install-desktop-dir and --target-db-path commandline
  * lp:~mvo/software-center/raring-pep8:
    - fixes for new pep8

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 06 Dec 2012 17:30:50 +0100

software-center (5.5.1.1) raring; urgency=low

  * Fix FTBFS in the clean target by build-depending on python-dbus,
    python-aptdaemon, python-gi, python-xapian, and python-xdg.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 28 Nov 2012 19:08:21 -0700

software-center (5.5.1) raring; urgency=low

  [ Michael Vogt ]
  * rename "addons" to "optional addons"
  * lp:~mvo/software-center/ensure-latest-distroseries:
    - add missing "raring" to DISTROSERIES and ensure that
      it FTBFS if the current codename is missing
  * merge lp:software-center/5.4 to get fix for LP: #1083694

  [ Robert Roth ]
  * lp:~evfool/software-center/lp934414:
    - Added 'Apps' keyword to the software center desktop file for 
      easier finding in dash/gnome shell/etc. (LP: #934414)
  * lp:~evfool/software-center/lp635101:
    - Updated the broken cache dialog's primary text to match the spec
      (LP: #635101)
  * lp:~evfool/software-center/lp668382:
    - the removal warning text for core items in ubuntu 
       (to match the wiki spec [1])
    - fixed the logic to correctly work with important metapackages
    (LP: #668382)
  
  [ Jesse van Herk ]
  * lp:~jesse-imaginaryrobots/software-center/software-center:
    - Many typo fixes, almost all in comments and log strings
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 28 Nov 2012 11:31:38 +0100

software-center (5.5.0) raring; urgency=low

  [ Andrew Hayzen ]
  * lp:~andrew-hayzen/software-center/accelerator-fix-lp744655:
    - fixes missing accelerator for a11y (LP: #744655)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Nov 2012 13:56:26 +0100

software-center (5.4.1.3) UNRELEASED; urgency=low

  * lp:~mvo/software-center/fix-for-unusual-deb-lp1067634:
    - fix crash in deb packages without a description (LP: #1067634)
  * lp:~mvo/software-center/lp1009967:
    - fix the "top rated" display to match the spec by also showing
      the already installed items  (LP: #1009967)
  * lp:~mvo/software-center/recoverable-errors-lp1051829:
    - send a custom duplicate signature so that the recoverable errors
      on transaction failures are broken down by error_code instead
      of all put into the same bucket (LP: #1051829)
  * lp:~mvo/software-center/5.4-fix-threading
    - Properly init threads now that the pygobject crash is fixed.
      This will fix the slow and unreliable submit of reviews
      (LP: #1083694)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 18 Oct 2012 10:34:38 +0200
