=== debian/control ===
--- 
+++ 
@@ -9,9 +9,15 @@
                intltool,
                po4a,
                python,
+               python-debian,
+               python-aptdaemon,
+               python-dbus,
                python-distutils-extra,
+               python-gi,
                python-setuptools,
-               python-scour
+               python-scour,
+               python-xapian,
+               python-xdg
 Standards-Version: 3.8.4
 X-Python-Version: >= 2.7
 Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
@@ -31,6 +37,7 @@
          gir1.2-gtk-3.0,
          gir1.2-gmenu-3.0 (>= 3.1.5),
          gir1.2-webkit-3.0,
+         gvfs-backends,
          python-gi (>= 3.4.0-1ubuntu0.1),
          python-gi-cairo,
          python-xapian,
@@ -45,7 +52,7 @@
          python-xdg,
          ubuntu-sso-client,
          python-piston-mini-client (>= 0.1+bzr29),
-         oneconf (>= 0.2.6),
+         python-oneconf (>= 0.3),
          python-debtagshw,
          ubuntu-extras-keyring
 Recommends: lsb-release, 
@@ -54,7 +61,7 @@
             software-properties-gtk,
             sessioninstaller, 
             xz-utils (>= 5.1.1alpha+20120614-1)
-Conflicts: gnome-app-install (<< 1), oneconf (<< 0.2.6.1)
+Conflicts: gnome-app-install (<< 1)
 Replaces: gnome-app-install
 Provides: gnome-app-install
 Description: Utility for browsing, installing, and removing software
