## software-center 5.6.0

=== debian/changelog ===
software-center (5.6.0-0ubuntu2) raring; urgency=low

  * debian/patches/00_bzr-typerror-remove-menuitem.patch:
    - Avoid TypeError caused by external bug, by removing the Cut
      menu item from the main menu, and making the Copy item not
      used for the search entry. (LP: #1151621)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Mon, 08 Apr 2013 15:04:00 -0400

software-center (5.6.0-0ubuntu1) raring; urgency=low

  * New upstream release.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 27 Mar 2013 15:51:28 -0400

software-center (5.5.6-0ubuntu2) raring; urgency=low

  * debian/patches/00_bzr-run-tests-setup.patch:
    - Run setup.py build before the tests get run; clean after. (LP: #1158290)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 22 Mar 2013 09:48:37 -0400

software-center (5.5.6-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Remove "foo" tooltip from account login/creation dialogs. (LP: #1076189)
    - Add new icons from design team. (LP: #1081691)
    - Remove extra .desktop file that we don't need. (LP: #1153548)
  * debian/rules:
    - Remove complicated unbranding rule.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 20 Mar 2013 15:52:01 -0400

software-center (5.5.5-0ubuntu1) raring; urgency=low

  * New upstream release.
    - Fix handling of whitelisted applications. (LP: #1112774)
    - Use correct API signatures for old and new python-gi. (LP: #1093970)
    - Fix missing GLib import. (LP: #1095117)
    - Transition away from being a native package.
  * debian/control:
    - Fix the oneconf dependency to work correctly with old and new oneconf.
    - Update the Maintainer field.
    - Update standards version to 3.9.4.
  * debian/source/format:
    - Convert to source format 3.0 (quilt).
  * debian/watch:
    - Add a watch file for new releases.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 01 Mar 2013 14:48:53 -0500
