=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: software-center
 Section: gnome
 Priority: optional
-Maintainer: Michael Vogt <mvo@ubuntu.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50),
                dpkg-dev (>= 1.15.1~),
                lsb-release,
@@ -18,9 +18,8 @@
                python-scour,
                python-xapian,
                python-xdg
-Standards-Version: 3.8.4
+Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
-Vcs-Bzr: https://code.launchpad.net/~software-store-developers/software-center/trunk
 Homepage: https://launchpad.net/software-center
 XS-Testsuite: autopkgtest
 
@@ -52,7 +51,8 @@
          python-xdg,
          ubuntu-sso-client,
          python-piston-mini-client (>= 0.1+bzr29),
-         python-oneconf (>= 0.3),
+         oneconf (>= 0.2.6),
+         python-oneconf (>= 0.3) | oneconf (<< 0.3),
          python-debtagshw,
          ubuntu-extras-keyring
 Recommends: lsb-release,
