=== debian/tests/control ===
Tests: run-tests
Depends: @, xvfb, python-coverage, python-mock, python3-aptdaemon.test, python-qt4, python-unittest2, python-lxml, pep8, pyflakes, iputils-ping, language-pack-en, language-pack-de, gawk, update-manager, gnome-menus, curl
