=== debian/watch ===
version=3
https://launchpad.net/software-center/stable-5-6  .*/software-center-([0-9.]+)\.tar\.gz
