=== debian/changelog ===
software-center (13.10-0ubuntu4) trusty; urgency=low

  [ Robert Ancell ]
  * debian/patches/04_bzr_r3322_lp1281317.patch
    - merge upstream rev3322 to fix LP: #1281317
  
  [ Michael Vogt ]
  * debian/patches/05_lp225885.patch:
    - cherry pick  lp:~mvo/software-center/lp1225885 to fix LP: #1225885

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 10 Apr 2014 18:21:54 +0200

software-center (13.10-0ubuntu3) trusty; urgency=medium

  * debian/patches/03_bzr-save-settings.patch:
    - Fix parent object initialization chaining. (LP: #1244493)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 21 Mar 2014 14:06:18 -0400

software-center (13.10-0ubuntu2) trusty; urgency=low

  * debian/patches/01_bzr-typeerror.patch:
    - Avoid creating a launcher without .desktop files. (LP: #1227277)
  * debian/patches/02_bzr-drop-distroseries.patch:
    - Drop the use of DISTROSERIES. (LP: #1254892)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 26 Nov 2013 10:16:14 -0500

software-center (13.10-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches/00_bzr-no-network-local-debs.patch:
    - Don't require network for installing local debs. (LP: #926763)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 08 Oct 2013 16:03:35 -0400

software-center (13.09-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Improved integration with Unity launcher.
    - Use "Ubuntu One" authorization rather than separate token.
    - Fix warnings about old style classes.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 17 Sep 2013 14:56:13 -0400

software-center (13.08-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches:
    - Remove upstreamed patches.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 07 Aug 2013 14:57:08 -0400

software-center (13.07-0ubuntu4) saucy; urgency=low

  * debian/control, debian/tests:
    - Remove the autopkgtests as they have never worked, and are
      very broken. We might add them back later.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Thu, 18 Jul 2013 09:50:31 -0400

software-center (13.07-0ubuntu3) saucy; urgency=low

  * debian/patches/02_bzr-more-test-fixes.patch:
    - Remove another test that requires network.
    - Fix the pyflakes test to use specific sub-directories.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 17 Jul 2013 11:41:25 -0400

software-center (13.07-0ubuntu2) saucy; urgency=low

  * debian/patches/01_bzr-test-fixes.patch:
    - Remove the bad tests files instead of renaming them.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Tue, 16 Jul 2013 14:11:34 -0400

software-center (13.07-0ubuntu1) saucy; urgency=low

  * New upstream release.
    - Use proper __init__ of parent hierarchy call. (LP: #1198822)
  * debian/patches/01_bzr-fix-tests.patch:
    - Include patch from upstream to fix some more tests.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 12 Jul 2013 16:40:52 -0400

software-center (13.05-0ubuntu3) UNRELEASED; urgency=low

  * Test fixes:
    - Add missing test Depends: sudo, python-distutils-extra, apt-xapian-index
    - Set XDG_CACHE_HOME to a writable directory ($ADTTMP)
    - Add restrictions: rw-build-dir since the test runner creates files
    - Disable a few failing tests
    - Appease pyflakes
  * Drop patch in this upstream release. 

 -- Iain Lane <iain.lane@canonical.com>  Tue, 09 Jul 2013 11:54:43 +0100

software-center (13.05-0ubuntu2) saucy; urgency=low

  * debian/patches/01_bzr-fix-1038429.patch:
    - Don't use MI, and use super to call the parent __init__. (LP: #1038429)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 05 Jul 2013 17:39:12 -0400

software-center (13.05-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/patches:
    - Remove patch files which are included upstream.
  * debian/watch:
    - Update watch file for new series.

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Wed, 05 Jun 2013 16:26:46 -0400

software-center (5.6.0-0ubuntu4) saucy; urgency=low

  * debian/patches/saucy-known-series.patch: Add new patch to know about
    (Ubuntu) 'saucy', fixing FTBFS. 

 -- Iain Lane <iain@orangesquash.org.uk>  Wed, 01 May 2013 18:52:16 +0100

software-center (5.6.0-0ubuntu3) raring-proposed; urgency=low

  * debian/software-center.postinst:
    - Only run update-software-center if python-aptdaemon is configured,
      to avoid crashing on upgrade, and to work around Debian 671711.
      (LP: #1173249)

 -- Rodney Dawes <rodney.dawes@ubuntu.com>  Fri, 26 Apr 2013 14:11:50 -0400
