=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
 Standards-Version: 3.9.4
 X-Python-Version: >= 2.7
 Homepage: https://launchpad.net/software-center
-XS-Testsuite: autopkgtest
 
 Package: software-center
 Architecture: all
